
%global meadversion 7.2.2
%global namedversion 7.2.2.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1

# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%bcond_without mead

%define maven_version 7.2.2.Final-redhat-1

Name:           jboss-metadata
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss Metadata
License:        LGPLv2+
Group:          Development/Java

%if %with mead
Source100: jboss-as-parent-metadata-7.2.2.Final-redhat-1-scm-sources.zip
Source102: jboss-metadata-ejb-7.2.2.Final-redhat-1.pom
Source103: jboss-metadata-ejb-7.2.2.Final-redhat-1.jar
Source104: jboss-metadata-ejb-7.2.2.Final-redhat-1-sources.jar
Source105: jboss-metadata-common-7.2.2.Final-redhat-1.jar
Source106: jboss-metadata-common-7.2.2.Final-redhat-1-sources.jar
Source107: jboss-metadata-common-7.2.2.Final-redhat-1-tests.jar
Source108: jboss-metadata-common-7.2.2.Final-redhat-1-test-sources.jar
Source109: jboss-metadata-common-7.2.2.Final-redhat-1.pom
Source110: jboss-metadata-web-7.2.2.Final-redhat-1-sources.jar
Source111: jboss-metadata-web-7.2.2.Final-redhat-1-tests.jar
Source112: jboss-metadata-web-7.2.2.Final-redhat-1-test-sources.jar
Source113: jboss-metadata-web-7.2.2.Final-redhat-1.pom
Source114: jboss-metadata-web-7.2.2.Final-redhat-1.jar
Source115: jboss-metadata-ear-7.2.2.Final-redhat-1.jar
Source116: jboss-metadata-ear-7.2.2.Final-redhat-1-sources.jar
Source117: jboss-metadata-ear-7.2.2.Final-redhat-1.pom
Source118: jboss-metadata-appclient-7.2.2.Final-redhat-1-sources.jar
Source119: jboss-metadata-appclient-7.2.2.Final-redhat-1.jar
Source120: jboss-metadata-appclient-7.2.2.Final-redhat-1.pom
Source121: jboss-as-parent-metadata-7.2.2.Final-redhat-1.pom
Source122: jboss-as-parent-metadata-7.2.2.Final-redhat-1-project-sources.tar.gz
%endif

URL:            http://www.jboss.org/
Requires(post): jpackage-utils 
Requires(postun): jpackage-utils 
Requires:       jpackage-utils
BuildRequires:  jpackage-utils 
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
JBoss metadata.

%package appclient
Summary:        JBoss Metadata Appclient
Group:          Development/Java

Requires(post): jpackage-utils 
Requires(postun): jpackage-utils 
Requires:       jpackage-utils
Requires:       %{name}-common = %{epoch}:%{version}-%{release}
Requires:       jboss-logging

%description appclient
%{summary}.

%package common
Summary:        JBoss Metadata Common
Group:          Development/Java

Requires(post): jpackage-utils 
Requires(postun): jpackage-utils
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       jpackage-utils
Requires:       hibernate-jpa-2.0-api
Requires:       jboss-logging
Requires:       jboss-jaxb-api_2.2_spec
Requires:       jboss-annotations-api_1.1_spec

%description common
%{summary}.

%package ear
Summary:        JBoss Metadata EAR
Group:          Development/Java

Requires(post): jpackage-utils 
Requires(postun): jpackage-utils 
Requires:       jpackage-utils
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-common = %{epoch}:%{version}-%{release}
Requires:       jboss-logging

%description ear
%{summary}.

%package ejb
Summary:        JBoss Metadata EJB
Group:          Development/Java

Requires(post): jpackage-utils 
Requires(postun): jpackage-utils 
Requires:       jpackage-utils
Requires:       jboss-ejb-api_3.1_spec
Requires:       jboss-interceptors-api_1.1_spec
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-common = %{epoch}:%{version}-%{release}
Requires:       jboss-logging
Requires:       jboss-ejb3-ext-api

%description ejb
%{summary}.

%package web
Summary:        JBoss Metadata Web
Group:          Development/Java

Requires(post): jpackage-utils 
Requires(postun): jpackage-utils 
Requires:       jpackage-utils
Requires:       jboss-logging
Requires:       jboss-servlet-api_3.0_spec
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-common = %{epoch}:%{version}-%{release}

%description web
%{summary}.

%prep
%setup -q -n metadata -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{name}-appclient-%{namedversion}.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{name}-appclient-%{namedversion}-sources.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{name}-common-%{namedversion}.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{name}-common-%{namedversion}-sources.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{name}-ear-%{namedversion}.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{name}-ear-%{namedversion}-sources.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{name}-ejb-%{namedversion}.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{name}-ejb-%{namedversion}-sources.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{name}-web-%{namedversion}.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{name}-web-%{namedversion}-sources.jar %{buildroot}%{_javadir}
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/jboss-as-parent-metadata-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP-jboss-as-parent-metadata.pom
%{__cp} -p %{_sourcedir}/%{name}-appclient-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}-appclient.pom
%{__cp} -p %{_sourcedir}/%{name}-common-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}-common.pom
%{__cp} -p %{_sourcedir}/%{name}-ear-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}-ear.pom
%{__cp} -p %{_sourcedir}/%{name}-ejb-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}-ejb.pom
%{__cp} -p %{_sourcedir}/%{name}-web-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}-web.pom

# depmaps
%add_to_maven_depmap org.jboss.metadata jboss-metadata-appclient %{namedversion} JPP jboss-metadata-appclient
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/jboss-metadata-appclient
%add_to_maven_depmap org.jboss.metadata jboss-metadata-common %{namedversion} JPP jboss-metadata-common
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/jboss-metadata-common
%add_to_maven_depmap org.jboss.metadata jboss-metadata-ear %{namedversion} JPP jboss-metadata-ear
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/jboss-metadata-ear
%add_to_maven_depmap org.jboss.metadata jboss-metadata-ejb %{namedversion} JPP jboss-metadata-ejb
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/jboss-metadata-ejb
%add_to_maven_depmap org.jboss.metadata jboss-metadata-web %{namedversion} JPP jboss-metadata-web
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/jboss-metadata-web
%add_to_maven_depmap org.jboss.metadata jboss-as-parent-metadata %{namedversion} JPP jboss-as-parent-metadata
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/jboss-as-parent-metadata

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%post appclient
%update_maven_depmap

%postun appclient
%update_maven_depmap

%post common
%update_maven_depmap

%postun common
%update_maven_depmap

%post ear
%update_maven_depmap

%postun ear
%update_maven_depmap

%post web
%update_maven_depmap

%postun web
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc README 
%{_mavenpomdir}/JPP-jboss-as-parent-metadata.pom
%{_mavendepmapfragdir}/jboss-as-parent-metadata

%files appclient
%defattr(0644,root,root,0755)
%{_javadir}/jboss-metadata-appclient-%{namedversion}-sources.jar
%{_javadir}/jboss-metadata-appclient-sources.jar
%{_javadir}/jboss-metadata-appclient-%{namedversion}.jar
%{_javadir}/jboss-metadata-appclient.jar
%{_mavenpomdir}/JPP-jboss-metadata-appclient.pom
%{_mavendepmapfragdir}/jboss-metadata-appclient

%files common
%defattr(0644,root,root,0755)
%doc common/LICENSE.txt
%{_javadir}/jboss-metadata-common-%{namedversion}-sources.jar
%{_javadir}/jboss-metadata-common-sources.jar
%{_javadir}/jboss-metadata-common-%{namedversion}.jar
%{_javadir}/jboss-metadata-common.jar
%{_mavenpomdir}/JPP-jboss-metadata-common.pom
%{_mavendepmapfragdir}/jboss-metadata-common

%files ear
%defattr(0644,root,root,0755)
%doc ear/LICENSE.txt
%{_javadir}/jboss-metadata-ear-%{namedversion}-sources.jar
%{_javadir}/jboss-metadata-ear-sources.jar
%{_javadir}/jboss-metadata-ear-%{namedversion}.jar
%{_javadir}/jboss-metadata-ear.jar
%{_mavenpomdir}/JPP-jboss-metadata-ear.pom
%{_mavendepmapfragdir}/jboss-metadata-ear

%files ejb
%defattr(0644,root,root,0755)
%doc ejb/LICENSE.txt
%{_javadir}/jboss-metadata-ejb-%{namedversion}-sources.jar
%{_javadir}/jboss-metadata-ejb-sources.jar
%{_javadir}/jboss-metadata-ejb-%{namedversion}.jar
%{_javadir}/jboss-metadata-ejb.jar
%{_mavenpomdir}/JPP-jboss-metadata-ejb.pom
%{_mavendepmapfragdir}/jboss-metadata-ejb

%files web
%defattr(0644,root,root,0755)
%doc web/LICENSE.txt
%{_javadir}/jboss-metadata-web-%{namedversion}-sources.jar
%{_javadir}/jboss-metadata-web-sources.jar
%{_javadir}/jboss-metadata-web-%{namedversion}.jar
%{_javadir}/jboss-metadata-web.jar
%{_mavenpomdir}/JPP-jboss-metadata-web.pom
%{_mavendepmapfragdir}/jboss-metadata-web

%changelog
* Mon May 04 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.2.2-1.Final_redhat_1.1
- Upgrade to 7.2.2.Final

* Mon Dec 08 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.2.1-1.Final_redhat_1.1
- Upgrade to 7.2.1.Final

* Fri Nov 28 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.2.0-1.Final_redhat_1.1
- Upgrade to 7.2.0.Final

* Thu Oct 02 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.1.2-1.Final_redhat_1.1
- Upgrade to 7.1.2.Final

* Tue Apr 08 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 7.1.0-1.Final_redhat_1.1
- Upgrade to 7.1.0.Final

* Thu Feb 20 2014 Yong Yang <yyang@redhat.com> - 7.0.9-1.Final_redhat_1.1
- rebuild for doc fix

* Thu Feb 20 2014 David Walluck <dwalluck@redhat.com> 0:7.0.9-1
- fix doc install

* Thu Feb 20 2014 Yong Yang <yyang@redhat.com> - 7.0.9-1.Final_redhat_1.1
- Merge template with latest one from jbossas

* Thu Feb 20 2014 Yong Yang <yyang@redhat.com> - 7.0.9-1.Final_redhat_1.1
- Remove unnecessary scripts from SPEC

* Thu Feb 20 2014 Yong Yang <yyang@redhat.com> - 7.0.9-1.Final_redhat_1.1
- Update SPEC to new mead format

* Thu Feb 20 2014 Yong Yang <yyang@redhat.com> - 7.0.9-1.Final_redhat_1.1
- Remove patches args from maven-build-arguments

* Thu Feb 21 2013 Tom Hauser <thauser@redhat.com> - 0:7.0.8-1.Final_redhat_1
- Upgrade to 7.0.8.Final 

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:7.0.4-2.Final_redhat_1
- Rebuild for MD5

* Sat Aug 25 2012 Hui Wang <huwang@redhat.com> - 0:7.0.4-1.Final_redhat_1
- Upgrade to 7.0.4.Final

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 0:7.0.3-3.Final_redhat_2
- Update pom patch for eap 6.0.1

* Mon Aug 13 2012 Fernando Nasser <fnasser@redhat.com> - 0:7.0.3-2.Final_redhat_2.4
- Rebuild unsigned

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:7.0.3-2.Final_redhat_2.3
- Rebuild unsigned

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 0:7.0.3-2.Final_redhat_1.2
- Rebuild using cache signing

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:7.0.3-2.Final_redhat_1.1
- Rebuild using cache signing

* Wed May 23 2012 Fernando Nasser <fnasser@redhat.com> 0:7.0.3-2.Final_redhat_1
- Remove javadoc AR from SRPM and do not create a javadoc subpackage

* Thu May 03 2012 Hui Wang <huwang@redhat.com> 0:7.0.3-1.Final_redhat_1
- Upgrade to 7.0.3.Final

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:7.0.1-1.Final_redhat_1.1.1
- Rebuild using cache signing

* Mon Mar 26 2012 Hui Wang <huwang@redhat.com> 0:7.0.1-1.Final_redhat_1.1
- Upgrade to 7.0.1.Final

* Thu Feb 16 2012 Hui Wang <huwang@redhat.com> 0:7.0.0-2.Final_redhat_1
- Remove useless BR/R

* Thu Feb 16 2012 Hui Wang <huwang@redhat.com> 0:7.0.0-1.Final_redhat_1
- Upgrade to 7.0.0.Final

* Wed Feb 08 2012 David Walluck <dwalluck@redhat.com> 0:7.0.0-0.3
- build most test jars

* Mon Feb 06 2012 David Walluck <dwalluck@redhat.com> 0:7.0.0-0.2
- remove Requires: jboss-parent
- fix all Requires and move to proper subpackages
- don't duplicate the maven depmap and use a separate one for each
- fix install %%name -> jboss-metadata
- fix location and unowned dir
- move from %%_javadir/%%name to %%_javadir
- fix repolib file ownership
- javadoc Requires: jpackage-utils

* Thu Jan 05 2012 Hui Wang <huwang@redhat.com> - 0:7.0.0-0.1.Beta31_redhat_1
- Upgrade to 7.0.0.Beta31
- Remove depmap file

* Wed Dec 14 2011 Hui Wang <huwang@redhat.com> - 0:7.0.0-0.1.Beta29_redhat_1
- Upgrade to 7.0.0.Beta29

* Wed Nov 30 2011 Hui Wang <huwang@redhat.com> - 0:7.0.0-0.3.Beta22_redhat_1
- Simplied repolib and cleanup

* Mon Nov 28 2011 Fernando Nasser <fnasser@redhat.com> - 0:7.0.0-0.2.Beta22_redhat_1
- Reinstate old repolib code, last build lacked MEAD contents

* Sun Nov 27 2011 Hui Wang <huwang@redhat.com> - 0:7.0.0-0.1.Beta22_redhat_1
- Upgrade to 7.0.0.Beta22

* Thu Nov 17 2011 Hui Wang <huwang@redhat.com> - 0:7.0.0-0.1.Beta20_redhat_1
- Upgrade to 7.0.0.Beta20

* Mon Nov 07 2011 Hui Wang <huwang@redhat.com> - 0:7.0.0-0.1.Beta18_redhat_1
- Upgrade to 7.0.0.Beta18

* Wed Nov 02 2011 Hui Wang <huwang@redhat.com> - 0:7.0.0-0.1.Beta15_redhat_1
- Upgrade to 7.0.0.Beta15

* Fri Nov 01 2011 Hui Wang <huwang@redhat.com> - 0:7.0.0-0.1.Beta14_redhat_1
- Upgrade to 7.0.0.Beta14

* Fri Sep 16 2011 Hui Wang <huwang@redhat.com> - 0:7.0.0-0.4.Beta8
- Fix jboss-metadata-vman-pom.patch

* Thu Sep 15 2011 Hui Wang <huwang@redhat.com> - 0:7.0.0-0.3.Beta8
- Rebuild

* Thu Sep 15 2011 Hui Wang <huwang@redhat.com> - 0:7.0.0-0.2.Beta8
- Rebuild

* Thu Sep 15 2011 Hui Wang <huwang@redhat.com> - 0:7.0.0-0.1.Beta8
- Upgrade to 7.0.0.Beta8

* Thu Jul 14 2011 Hui Wang <huwang@redhat.com> - 0:7.0.0-0.2.Beta5
- Rebuild

* Thu Jul 14 2011 Hui Wang <huwang@redhat.com> - 0:7.0.0-0.1.Beta5
- Upgrade to 7.0.0.Beta5

* Mon Jul 11 2011 Hui Wang <huwang@redhat.com> - 0:7.0.0-0.2.Beta3
- Use jboss-servlet-api_3.0_spec instead of jboss-servlet-api_3.0_spec-mead

* Fri Jul 08 2011 Hui Wang <huwang@redhat.com> - 0:7.0.0-0.1.Beta3
- Upgrade to 7.0.0.Beta3

* Fri Dec 03 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.0.6-2
- Build with maven 2.2.1
- Change BR maven2-plugin-release to maven-release
- Add BR codehaus-stax-api, maven2-plugin-deploy

* Thu Sep 09 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.0.6-1
- Upgrade to 1.0.6

* Mon Jun 21 2010 David Walluck <dwalluck@redhat.com> 0:1.0.5-4
- add back -Dmaven.test.skip=true

* Mon Jun 21 2010 David Walluck <dwalluck@redhat.com> 0:1.0.5-3
- add missing Requires
- clean up BuildRequires

* Tue Jun 01 2010 Yiqiao Wang <yiwang@redhat.com> - 0:1.0.5-2.GA.1
- Upgrade to 1.0.5.GA

* Fri May 07 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.0.2-1.GA.1.1.1
- rebuilt

* Fri Apr 09 2010 Yong Yang <yyang@redhat.com> 0:1.0.2-1.GA.1.1
- Rebuild for generating signed jar with JDK6

* Fri Mar 12 2010 Yong Yang <yyang@redhat.com> 0:1.0.2-1.GA.1
- Upgrade to 1.0.2.GA

* Wed Mar 03 2010 Martha Benitez <mbenitez@redhat.com> 0:1.0.1-3.SP1.4
- Rebuild with correct depmap entry for jpa_1_0_api

* Wed Mar 03 2010 Martha Benitez <mbenitez@redhat.com> 0:1.0.1-3.SP1.3
- Change R jpa_3_0_api to jpa_1_0_api
- Add BR hibernate3-ejb-persistence-3.0-api for jpa_1_0_api
- Add BR jboss-profiler

* Fri Oct 02 2009 Permaine Cheung <pcheung@redhat.com> 0:1.0.1-3.SP1.2
- Add sources.jar

* Thu Oct 01 2009 Permaine Cheung <pcheung@redhat.com> 0:1.0.1-3.SP1.1
- Upgrade to 1.0.1.SP1
- Add pom to repolib

* Thu Jul 23 2009 Martha Benitez <mbenitez@redhat.com> 0:1.0.1-2.2
- Remove spurious dependency on jbossws-native

* Wed Jul 22 2009 Martha Benitez <mbenitez@redhat.com> 0:1.0.1-2.1
- Change BR jbossws-native to jbossws-native42
- Add BR jboss-test, ant-junit, junit44, maven-surefire-provider-juni4, maven-doxia-sitetools

* Tue Jun 30 2009 David Walluck <dwalluck@redhat.com> 0:1.0.1-2
- add repolib
- build with external jboss-ejb3-ext-api

* Mon Jun 22 2009 Ralph Apel <r.apel@r-apel.de> - 0:1.0.1-1.jpp5
- first release
